import apiRequests from "../config/config.js";



export function GET  (url, data = {}) {
    return apiRequests.get(url, {
        params: data
    })
}


export function POST  (url, data) {
    return apiRequests.post(url, data)
}


export function PUT(url, data) {
    return apiRequests.put(url, data)
}


export function DELETE (url,data) {
    return apiRequests.delete(url, data)
}

export function PATCH (url,data) {
    return apiRequests.patch(url, data)
}


export function UpLoadFile (url,data) {
    return apiRequests.post(url, data, {
        headers: {
            "Content-Type": "multipart/form-data",
        }
    })
}
